import React from 'react';
import { Command, CommandOptions } from '@teambit/cli';
import { Logger } from '@teambit/logger';
import type { UiMain } from './ui.main.runtime';
declare type StartArgs = [uiName: string, userPattern: string];
declare type StartFlags = {
    dev: boolean;
    port: string;
    rebuild: boolean;
    verbose: boolean;
    noBrowser: boolean;
    skipCompilation: boolean;
};
export declare class StartCmd implements Command {
    private ui;
    private logger;
    name: string;
    description: string;
    alias: string;
    group: string;
    shortDescription: string;
    options: CommandOptions;
    constructor(ui: UiMain, logger: Logger);
    report([uiRootName, userPattern]: StartArgs, { dev, port, rebuild, verbose }: StartFlags): Promise<string>;
    render([uiRootName, userPattern]: StartArgs, { dev, port, rebuild, verbose, noBrowser, skipCompilation }: StartFlags): Promise<React.ReactElement>;
}
export {};
